/**
 * Fractal Binding Factory.
 * Copyright (C) 2007-2008 INRIA, SARDES

 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: Valerio.Schiavoni@gmail.com
 * 
 * Author: Valerio Schiavoni
 * 
 */
package org.objectweb.fractal.bf.connectors.ws;

import org.objectweb.fractal.bf.proxies.AbstractStubComponentFactory;
import org.objectweb.fractal.bf.proxies.StubContentGenerator;

/**
 * A stub component factory implementation that uses
 * {@link WsStubContentGenerator} to generate the content of the stub component.
 * 
 */
public class WsConnectorStubComponentFactoryImpl extends
		AbstractStubComponentFactory {

	/**
	 * @see org.objectweb.fractal.bf.proxies.AbstractStubComponentFactory#getStubContentGenerator()
	 */
	@Override
	protected StubContentGenerator<WsBindHints> getStubContentGenerator() {

		return new WsStubContentGenerator();
	}

}
